List Subscription Schedules
Returns a paginated list of subscription schedules with optional filters.
Query Parameters
- Type: integerlimitmin:1max:100
Maximum number of schedules to return (1–100).
- Type: stringlast
_key Cursor for pagination in format:
{ISO_timestamp}_{uuid}. Use thelast_keyvalue from a previous response to fetch the next page. - Type: array string[]enumstatus
Filter by schedule status. Repeat the parameter for multiple values.
values- N
O T _ S T A R T E D - A
C T I V E - C
O M P L E T E D - C
A N C E L E D - R
E L E A S E D
- Type: array string[]customer
Filter by customer ID(s). Repeat the parameter for multiple values.
- enumexpandconst:subscription
Expand related objects inline. Use
subscriptionto replace the subscription ID with the full subscription object for schedules that have an active subscription.values- subscription
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/subscription-schedules
curl 'https://api.paypercut.io/v1/subscription-schedules?limit=20&last_key=2026-03-01T00%3A00%3A00.000Z_550e8400-e29b-41d4-a716-446655440000&status=NOT_STARTED&customer=&expand=subscription' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"items": [
{
"id": "01HD7M6DRKZ4Q4QEVWJB0RC1S6",
"customer": "01KJQ34MWYH0TES77RDXA8T8TT",
"status": "ACTIVE",
"end_behavior": "RELEASE",
"subscription": "01XXXXXXXXXXXXXXXXXXXXXXX",
"released_subscription": null,
"livemode": false,
"start_date": "2026-03-01T00:00:00Z",
"current_phase_index": 1,
"current_phase": {
"id": "sp_01HD7M6DRKZ4Q4QEVWJB0RC1S6",
"phase_index": 1,
"start_date": "2026-04-01T00:00:00Z",
"end_at": null
},
"next_action_at": null,
"canceled_at": null,
"completed_at": null,
"released_at": null,
"phases": [
{
"start_date": "2026-03-01T00:00:00Z",
"end_date": "2026-04-01T00:00:00Z",
"phase_index": 0,
"items": [
{
"price": "price_setup_fee",
"unit_amount": 5000,
"currency": "usd"
},
{
"price": "price_monthly",
"unit_amount": 1000,
"currency": "usd",
"recurring": {
"interval": "monthly",
"interval_count": 1,
"usage_type": "licensed"
}
}
]
},
{
"start_date": "2026-04-01T00:00:00Z",
"phase_index": 1,
"items": [
{
"price": "price_monthly",
"unit_amount": 1000,
"currency": "usd",
"recurring": {
"interval": "monthly",
"interval_count": 1,
"usage_type": "licensed"
}
}
]
}
],
"created": "2026-02-28T00:00:00Z",
"updated_at": "2026-03-01T00:00:00Z"
}
],
"last_key": null
}
